<script>
/* IMAGE PREVIEW */
$(document).ready(function(){
$("#image").change(function(){
$('#image').attr('style', 'border: none !important');
$('#preview').hide();
$('#btnAdd').prop('disabled', false);
$('#btnEdit').prop('disabled', false);
$(".errors").html("");
	$(".demoInputBox").css("border-color","#F0F0F0");
	var file_size = $('#image')[0].files[0].size;
	var file_name = $('#image')[0].files[0].name;
	var allowedExtensions = /(\.gif|\.jpg|\.png)$/i;
	if(!allowedExtensions.exec(file_name)){
        $(".errors").html("Error: Upload file having extensions gif,jpg,png only.");
		$('#btnAdd').prop('disabled', true);
		$('#editBtn').prop('disabled', true);
		return false;
    }
	/* if(file_size>524288) {
		$(".errors").html("Error: File size is greater than 500KB");
		//$("#image").css("border","2px solid #ff0000 !important");
		$('#image').attr('style', 'border: 2px solid #ff0000 !important');
		$('#btnAdd').prop('disabled', true);
		$('#editBtn').prop('disabled', true);
		return false;
	}else{
		imagePreview(this);
	}  */
	imagePreview(this);
	return true;
    });
});
function imagePreview(fileInput) {
    if (fileInput.files && fileInput.files[0]) {
        var fileReader = new FileReader();
        fileReader.onload = function (event) {
            $('#preview').show();
            $('#preview1').hide();
			$('#preview').html('<img src="'+event.target.result+'" width="200" height="auto"/>');
        };
        fileReader.readAsDataURL(fileInput.files[0]);
    }
}
/* IMAGE PREVIEW END */
</script>